Package skyview.survey

# Class SIAP2Generator

java.lang.Object
skyview.survey.SIAPGenerator
skyview.survey.SIAP2Generator

All Implemented Interfaces:
  `ImageGenerator`

public class SIAP2Generator extends SIAPGenerator
This class gets a set of candidates from a SIAP request

## Constructor Summary

Constructors
Constructor
Description
`SIAP2Generator()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`addPosToURL(String base, double ra, double dec, double size)`

### Methods inherited from class skyview.survey.SIAPGenerator

`getBaseURL, getImages, getSurveyName, updateURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SIAP2Generator

public SIAP2Generator()

## Method Details

### addPosToURL

protected String addPosToURL(String base, double ra, double dec, double size)

Overrides:
  `addPosToURL` in class `SIAPGenerator`